Commit 920a98ee authored by NIIBE Yutaka's avatar NIIBE Yutaka

0.9.6-3

parent 575d4efb
......@@ -14,23 +14,7 @@ Issues:
-- NIIBE Yutaka <gniibe@fsij.org>, Tue, 8 Mar 2011 13:33:39 +0900
TODOS:
(0) Fix FTBFS
(0-1) [DONE] s390, mipsel, sh4 (libatomic-ops issue)
(0-2) [DONE] hppa, sparc (libgc issue)
(0-3) [DONE] ia64 (libgc and gcc optimization)
(0-4) [DONE] armel support
(0-5) [DONE] hurd
(0-6) [DONE] sparc64 (and powerpc64)
(1) [DONE] Missing manpages
Check the upstream chengeset for r7036
(2) [DONE] extentions linking with no -ldl, -lutil, -lm, -lcrypt which
is unneeded.
-lutil is needed for ext/termios...
Gauche should not be linked -lutil but gauche--termios.so should.
TODO:
(3) Installation of HTML files
debian/rules:
......@@ -44,12 +28,6 @@ override_dh_auto_build:
$(MAKE) -C doc html
--------------------
(4) [DONE] libgauche0 and others
Do we introduce libgauche0? Yes.
Rename gauche-gdbm into libgdbm-gauche? No.
Do we package libzlib-gauche separately? Yes, but different name.
-- NIIBE Yutaka <gniibe@fsij.org>, Wed, 21 Apr 2010 16:29:09 +0900
TODOS:
......
gauche (0.9.6-3) unstable; urgency=medium
* debian/control (Standards-Version): Conforms to 4.2.1.
* debian/patches/41_link_libatomic.patch: Update.
* debian/patches/43_makedoc_gzip_best.patch: New.
* debian/rules (GZIP): Remove.
-- NIIBE Yutaka <gniibe@fsij.org> Thu, 04 Oct 2018 14:19:37 +0900
gauche (0.9.6-2) unstable; urgency=medium
* debian/libgauche-0.9-0.symbols: Update for m68k and powerpcspe.
......
......@@ -4,7 +4,7 @@ Priority: optional
Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Uploaders: YAEGASHI Takeshi <yaegashi@debian.org>, Jens Thiele <karme@karme.de>
Build-Depends: debhelper (>= 11), libatomic-ops-dev, libgdbm-dev, libtool, pkg-config, slib (>> 3a5), zlib1g-dev, netbase, texinfo, openssl
Standards-Version: 4.1.3
Standards-Version: 4.2.1
Homepage: http://practical-scheme.net/gauche/
Vcs-Git: https://salsa.debian.org/debian/gauche.git
Vcs-Browser: https://salsa.debian.org/debian/gauche
......
Description: dump axTLS errors
Author: NIIBE Yutaka <gniibe@fsij.org>
Last-Update: 2018-10-03
Last-Update: 2018-10-04
Index: gauche/ext/tls/Makefile.in
===================================================================
......@@ -14,7 +14,7 @@ Index: gauche/ext/tls/Makefile.in
+check : all
+ @rm -f test.log
+ GAUCHE_TEST_RECORD_FILE=$(TESTRECORD) $(GOSH) -I. -I$(srcdir) $(srcdir)/test.scm > test.log
+ @if grep -q failed test.log; then cat ssltest.log; fi
+ @if grep -q failed test.log; then cat ssltest.log axTLS/ssl/stderr.log; fi
+
SCM_CATEGORY = rfc
......@@ -23,12 +23,15 @@ Index: gauche/ext/tls/axTLS/ssl/test/killopenssl.sh
===================================================================
--- gauche.orig/ext/tls/axTLS/ssl/test/killopenssl.sh
+++ gauche/ext/tls/axTLS/ssl/test/killopenssl.sh
@@ -1,3 +1,7 @@
@@ -1,3 +1,10 @@
#!/bin/sh
-awk '{print $1}' "../ssl/openssl.pid" | xargs kill -9
+
+[ -f ../ssl/openssl.pid ] || exit 0
+
+exec < "../ssl/openssl.pid"
+while read PID COMMAND ETC; do
+ kill -9 $PID
+ kill -9 $PID >/dev/null 2>&1
+done
+
rm -f ../ssl/openssl.pid
......@@ -11,6 +11,15 @@ Index: gauche/ext/tls/axTLS/ssl/test/ssltest.c
g_port, clnt->openssl_option);
}
else if (strstr(clnt->testname, "GNUTLS") == NULL)
@@ -976,7 +976,7 @@ static void do_client(client_t *clnt)
#ifdef WIN32
"-connect localhost:%d -quiet %s",
#else
- "-connect localhost:%d -quiet %s > /dev/null 2>&1",
+ "-connect localhost:%d -debug %s >&2",
#endif
g_port, clnt->openssl_option);
}
@@ -1561,9 +1561,9 @@ static void do_server(server_t *svr)
{
sprintf(openssl_buf, "openssl s_server "
......@@ -19,7 +28,16 @@ Index: gauche/ext/tls/axTLS/ssl/test/ssltest.c
+ "-4 -accept localhost:%d -quiet %s",
#else
- "-accept %d -quiet %s > /dev/null",
+ "-4 -accept localhost:%d -quiet %s > /dev/null",
+ "-4 -accept localhost:%d -debug %s >&2",
#endif
g_port, svr->openssl_option);
}
@@ -2473,7 +2473,7 @@ int main(int argc, char *argv[])
fd = _open("test_result.txt", O_WRONLY|O_TEMPORARY|O_CREAT, _S_IWRITE);
dup2(fd, 2); /* write stderr to this file */
#else
- fd = open("/dev/null", O_WRONLY); /* write stderr to /dev/null */
+ fd = open("stderr.log", O_WRONLY|O_APPEND|O_CREAT, 0655); /* write stderr to file */
signal(SIGPIPE, SIG_IGN); /* ignore pipe errors */
dup2(fd, 2);
#endif
......@@ -16,7 +16,7 @@ Index: gauche/configure.ac
[ AC_MSG_RESULT([none]) ])
need_atomic_ops_cflags=yes ],
[ AC_MSG_RESULT([internal])
@@ -315,10 +317,25 @@ AS_IF([test x"$with_libatomic_ops" != xn
@@ -315,10 +317,26 @@ AS_IF([test x"$with_libatomic_ops" != xn
if test "$need_atomic_ops_cflags" = yes; then
ATOMIC_OPS_CFLAGS='-I$(top_builddir)/gc/libatomic_ops/src -I$(top_srcdir)/gc/libatomic_ops/src'
......@@ -26,7 +26,7 @@ Index: gauche/configure.ac
+if test "$need_libatomic_link" = external; then
+ case $host in
+ armhf-*|hppa-*|sh4-*)
+ armel-*|armhf-*|hppa-*|sh4-*)
+ need_libatomic_link=yes
+ ;;
+ *)
......@@ -39,6 +39,7 @@ Index: gauche/configure.ac
+else
+ ATOMIC_OPS_LIBS=""
+fi
+AC_SUBST([ATOMIC_OPS_LIBS])
+
AM_CONDITIONAL([USE_INTERNAL_LIBATOMIC_OPS],
[test x$with_libatomic_ops = xno -a x"$GAUCHE_THREAD_TYPE" != xnone])
......
......@@ -2,7 +2,7 @@ Index: gauche/configure.ac
===================================================================
--- gauche.orig/configure.ac
+++ gauche/configure.ac
@@ -432,7 +432,7 @@ fi
@@ -433,7 +433,7 @@ fi
dnl Safe default CFLAGS (usually -g -O2 if you're using gcc, empty otherwise).
dnl If the user overrides CFLAGS during configure, which is recorded.
dnl This information is used when configuring extensions.
......
Index: gauche/doc/makedoc.scm
===================================================================
--- gauche.orig/doc/makedoc.scm
+++ gauche/doc/makedoc.scm
@@ -61,7 +61,7 @@
(string-null? gzip)
(and (do-process (make-cmd `(,makeinfo ,input)))
(begin (remove-files (glob #"~|info|*.gz"))
- (do-process (make-cmd `(,gzip ,info ,@(glob #"~|info|-[0-9]*"))))))))
+ (do-process (make-cmd `(,gzip "--best" "--no-name" ,info ,@(glob #"~|info|-[0-9]*"))))))))
(define (do-html input makeinfo)
(or (string-null? makeinfo)
......@@ -19,3 +19,4 @@
40_tls_test_localhost.patch
41_link_libatomic.patch
42_cflags_reproducible.patch
43_makedoc_gzip_best.patch
......@@ -2,7 +2,6 @@
# -*- makefile-gmake -*-
#export DH_VERBOSE=1
export DH_OPTIONS
export GZIP=-9 -n
%:
dh $@
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment